Package com.io7m.cardant.model

# Record Class CAItemSummary

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAItemSummary

Record Components:
  `id` - The id
  `name` - The name

public record CAItemSummary(CAItemID id, String name) extends Record
A summary of an item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemSummary(CAItemID id, String name)`
  A summary of an item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAItemSummary

    public CAItemSummary(CAItemID id, String name)
    A summary of an item.
    Parameters:
      `id` - The id
      `name` - The name

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public CAItemID id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component